<template>
  <a-striped-card-ui
    data-cid="{ BhBizcardUi }"
    class="[ bh-bizcard-ui ]"
    :style="{
      '--a-striped-card-ui--max-w': '100%',
      '--a-striped-card-ui--stripe--bg-color': bizcard.type.color,
      '--a-striped-card-ui--bg-color': $theme.colors.gray['50'],
      '--bh-bizcard-ui--hover--bg-color': $theme.colors.white,
      '--bh-bizcard-ui--hover--border-color': bizcard.type.color,
      '--bh-bizcard-ui--hover--shadow': $theme.boxShadow.md,
    }"
    :data-selected="selected"
  >
    <template #stripe>
      <a-box-l class="reset px-2 py-3 text-gray-50">
        <a-stack-l class="[ a-stack-l--splitAfter-1 ]">
          <svg-icon
            :name="`bt/${bizcard.type.code}`"
            class="mx-auto h-8 w-8 fill-current stroke-current"
          />
          <time class="text-xs" :datetime="bizcard.date.isoDate">
            <span v-html="date" />
          </time>
        </a-stack-l>
      </a-box-l>
    </template>

    <template #default>
      <a-box-l class="reset p-3">
        <a-stack-l class="[ reset space-y-1 ][ a-stack-l--splitAfter-2 ]">
          <h4 class="[ text-base leading-tight ][ bh-line-clamp--3 ]">
            {{ bizcard.title }}
          </h4>
          <span class="block text-xs leading-tight text-gray-500">
            {{ bizcard.source }}
          </span>
          <bh-topic-list-ui :topics="bizcard.topics" />
        </a-stack-l>
      </a-box-l>
    </template>
  </a-striped-card-ui>
</template>

<script>
export default {
  name: 'BhBizcardUi',
  props: {
    bizcard: {
      type: Object,
      default: () => ({}),
    },
    selected: {
      type: Boolean,
      default: false,
    },
  },
  computed: {
    date() {
      const [day, month, year] = this.bizcard.date.formattedDate.split('/');
      return `${day}/${month}<br />${year}`;
    },
  },
};
</script>

<style lang="postcss" scoped>
.bh-bizcard-ui:hover,
.bh-bizcard-ui[data-selected='true'] {
  background-color: var(--bh-bizcard-ui--hover--bg-color);
  border-color: var(--bh-bizcard-ui--hover--border-color);
  box-shadow: var(--bh-bizcard-ui--hover--shadow);
}

.bh-line-clamp--3 {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
}
</style>
